#
# spec file for package rubygem-bson
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-bson
Version:        1.8.6
Release: 84.1
%define mod_name bson
%define mod_full_name %{mod_name}-%{version}
%define mod_branch -%{version}
%define mod_weight 10806

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 3
BuildRequires:  update-alternatives
Url:            http://www.mongodb.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Ruby implementation of BSON
License:        Apache License Version 2.0
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
A Ruby BSON implementation for MongoDB. For more information about Mongo, see
http://www.mongodb.org. For more information on BSON, see
http://www.bsonspec.org.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem_install -f
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/b2json{,%{mod_branch}}
touch %{buildroot}%{_sysconfdir}/alternatives/b2json
ln -s %{_sysconfdir}/alternatives/b2json %{buildroot}%{_bindir}/b2json

mv %{buildroot}%{_bindir}/j2bson{,%{mod_branch}}
touch %{buildroot}%{_sysconfdir}/alternatives/j2bson
ln -s %{_sysconfdir}/alternatives/j2bson %{buildroot}%{_bindir}/j2bson

mkdir -p %{buildroot}%{_docdir}/%{name}
ln -s %{gem_base}/gems/%{mod_full_name}/LICENSE %buildroot/%{_docdir}/%{name}/LICENSE

%post
/usr/sbin/update-alternatives --install \
    %{_bindir}/b2json b2json %{_bindir}/b2json%{mod_branch} %{mod_weight}
/usr/sbin/update-alternatives --install \
    %{_bindir}/j2bson j2bson %{_bindir}/j2bson%{mod_branch} %{mod_weight}

%preun
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove b2json %{_bindir}/b2json%{mod_branch}
fi
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove j2bson %{_bindir}/j2bson%{mod_branch}
fi

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}
%{_bindir}/b2json%{mod_branch}
%{_bindir}/b2json
%ghost %{_sysconfdir}/alternatives/b2json
%{_bindir}/j2bson%{mod_branch}
%{_bindir}/j2bson
%ghost %{_sysconfdir}/alternatives/j2bson
%{gem_base}/cache/%{mod_full_name}.gem
%{gem_base}/gems/%{mod_full_name}/
%{gem_base}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{gem_base}/doc

%changelog
